| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
libdar::entrepot_local Class Reference
Private

`#include <entrepot_local.hpp>`

Inherits libdar::entrepot.

## Public Member Functions
| entrepot_local (const std::string &user, const std::string &group, bool x_furtive_mode)
| entrepot_local (const entrepot_local &ref)
entrepot_local & | operator= (const entrepot_local &ref)
std::string | get_url () const
void | read_dir_reset ()
| routines to read existing files in the current directory (see set_location() / set_root() methods)
bool | read_dir_next (std::string &filename)
entrepot * | clone () const
Public Member Functions inherited from libdar::entrepot
| entrepot ()
| constructor
virtual | ~entrepot ()
| destructor
bool | operator== (const entrepot &ref) const
| says whether two entrepot objects points to the same location
void | set_location (const path &chemin)
| defines the directory where to proceed to future open() – this is a "chdir" semantics
void | set_root (const path &p_root)
| defines the root to use if set_location is given a relative path
void | set_user_ownership (const std::string &x_user)
| set default ownership for files to be created thanks to the open() methods
void | set_group_ownership (const std::string &x_group)
const path & | get_location () const
const path & | get_root () const
path | get_full_path () const
const std::string & | get_user_ownership () const
const std::string & | get_group_ownership () const
fichier_global * | open (user_interaction &dialog, const std::string &filename, gf_mode mode, bool force_permission, U_I permission, bool fail_if_exists, bool erase, hash_algo algo) const
void | unlink (const std::string &filename) const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Protected Member Functions
fichier_global * | inherited_open (user_interaction &dialog, const std::string &filename, gf_mode mode, bool force_permission, U_I permission, bool fail_if_exists, bool erase) const
void | inherited_unlink (const std::string &filename) const
void | read_dir_flush ()
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

implementation for entrepot to access to local filesystem

entrepot_local generates objects of class "fichier_local" inherited class of fichier_global

Definition at line 63 of file entrepot_local.hpp.

The documentation for this class was generated from the following file:

- entrepot_local.hpp